curl --request POST \
--url https://api.steuerboard.com/v1/workspaces/{id}/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-client-id: <x-client-id>' \
--data '
{
"userId": "cmf41ajzv003706un4i99q1a0"
}
'import requests
url = "https://api.steuerboard.com/v1/workspaces/{id}/members"
payload = { "userId": "cmf41ajzv003706un4i99q1a0" }
headers = {
"x-client-id": "<x-client-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-id': '<x-client-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({userId: 'cmf41ajzv003706un4i99q1a0'})
};
fetch('https://api.steuerboard.com/v1/workspaces/{id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2024-05-14T08:30:00Z",
"updatedAt": "2024-06-01T12:00:00Z",
"workspaceId": "cmf41ajzv003706un4i99q19z",
"isMuted": false,
"userId": "cmf41ajzv003706un4i99q1a0",
"user": {
"id": "cmf41ajzv003706un4i99q1a0",
"email": "frida@example.com",
"firstName": "Frida",
"lastName": "Meyer",
"image": null
}
}{
"type": "bad_request",
"message": "<string>"
}{
"status_code": 401,
"type": "auth_error",
"code": "unauthorized",
"message": "<string>"
}{
"type": "auth_error",
"message": "<string>"
}{
"success": false,
"error": {
"name": "ValidationError",
"issues": [
{
"code": "invalid_type",
"path": [
"userId"
],
"message": "Required"
}
]
}
}{
"status_code": 429,
"type": "rate_limit",
"code": "too_many_requests",
"message": "<string>"
}This response has no body data.Create a workspace member
Creates a new workspace member.
Authorizations
Bearer token authentication
Headers
The ID of the client
"cmf41ajzv003706un4i99q19z"
Path Parameters
The ID of the item
"cmf41ajzv003706un4i99q19z"
Body
Workspace member create
Identifier of the user that should be added to the workspace.
"cmf41ajzv003706un4i99q1a0"
Response
Workspace member created successfully
The date and time when the workspace membership was created. ISO-8601 format (YYYY-MM-DDTHH:MM:SSZ).
"2024-05-14T08:30:00Z"
The date and time when the workspace membership was last updated. ISO-8601 format (YYYY-MM-DDTHH:MM:SSZ).
"2024-06-01T12:00:00Z"
The identifier of the workspace the member belongs to.
"cmf41ajzv003706un4i99q19z"
Whether the member has muted notifications for the workspace.
false
Identifier of the user that is a member of the workspace.
"cmf41ajzv003706un4i99q1a0"
Optional user object with denormalised information for convenience.
Show child attributes
Show child attributes